package com.cht.tas.ap;

import org.json.JSONArray;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Map;


@Component
public class Callout {
    private final Logger Log = LoggerFactory.getLogger(Callout.class);

    @Autowired
    private IoTTas ioTTAS;

    //每隔 5 分鐘呼叫 ap 互動 API
    @Scheduled(fixedDelay=300000)
    public void calloutSchedule() {

        JSONArray phones = new JSONArray();
        for (Map.Entry<String, String> entry: ioTTAS.phonePools.entrySet() ) {
            //加入未回應問券內容的電話號碼，並進行撥號
            if ( entry.getValue().equals("0")) {
                phones.put(entry.getKey());
            }
        }

        String postData = ioTTAS.calloutIVR(phones);
        ioTTAS.callout(postData);
    }
}
